////////////////////////////////////////////////////////////////////////
//
// Name:	BinaryCell.C
//
// Purpose:	Contains class definition for the cellular automata cell
//			having a binary state.
//
////////////////////////////////////////////////////////////////////////

#include <iostream.h>
#include "BinaryCell.h"




//////////////////////////////////////////////////////////////////
//
//	overloaded ostream<< operator for BinaryCell
//		If the cell state is ALIVE, output '1'; output '0'
//		otherwise.
//
//	Input:
//		stream:	the ostream object
//		C:		the BinaryCell object
//
//	Output:
//		stream:	the ostream object
//
//	Returns:
//		reference to ostream object
//
//////////////////////////////////////////////////////////////////
ostream&
operator<<(
ostream&	stream,
const BinaryCell&	C)
{
	char cCell = C.isAlive() ? '1' : '0';
	return stream << cCell;
}
