#ifndef __PROBABILISTICCRYSTALLIZATION_H
#define __PROBABILISTICCRYSTALLIZATION_H

/////////////////////////////////////////////////////////////////////////
//
// Name:	ProbabilisticCrystallization.h
//
// Purpose:	Probabilistic cellular automata crystallization
//
/////////////////////////////////////////////////////////////////////////

#include "Crystallization2D.h"


class ProbabilisticCrystallization : public Crystallization2D {

public:

	//
	// Default constructor
	//
	ProbabilisticCrystallization(
	const Iteration_t& i=DEFAULT_ITERATIONS,
	const Dimension_t& r=DEFAULT_DIMENSION,
	const Dimension_t& c=DEFAULT_DIMENSION) :
		Crystallization2D(i, r, c) {}


	//
	// Copy constructor
	//
	ProbabilisticCrystallization(
	const ProbabilisticCrystallization& C) :
		Crystallization2D(C) {}


	//
	// Overloaded assignment operator
	//
	ProbabilisticCrystallization& operator=(
	const ProbabilisticCrystallization& C)
		{
			if (this != &C) {
				delete this;
				Crystallization2D::operator=(C);
			}
			return *this;
		}


	//
	// Destructor
	//
	~ProbabilisticCrystallization() {}


	//
	// Though defined, this doesn't do anythin interesting right now.
	//
	Status_t
	ApplyRules()
		{
			SwapLattices();
			return SUCCESS;
		}


protected:

private:

};

#endif // __PROBABILISTICCRYSTALLIZATION_H
